Bug 458481 - oracledb.sh does not correctly handle multiple Oracle instances
oracledb.sh does not correctly handle multiple Oracle instances
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks: 471226
  Show dependency treegraph
 
Reported: 2008-08-08 15:27 EDT by Matthew Whitehead
Modified: 2009-04-16 16:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-18 15:39:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patched oracle database agent that supports multiple instances (but has this bug) (20.48 KB, text/plain)
2008-10-27 16:40 EDT, Lon Hohberger
no flags Details
Fix, pass 1 (20.36 KB, text/plain)
2008-12-09 17:14 EST, Lon Hohberger
no flags Details

  None (edit)
Description Matthew Whitehead 2008-08-08 15:27:06 EDT
Description of problem: when using the /etc/init.d/oracledb.sh script that handles multiple oracles instances, it kills ALL oracle processes when shutting down an oracle service.  


Version-Release number of selected component (if applicable): rgmanager-1.9.80-1


How reproducible: 100%


Steps to Reproduce:
1. Create 2 oracle clustered services
2. Run them on the same cluster member
3. Fail one over to another node
  
Actual results: All oracle processes get killed and restarted


Expected results: Only the moving service processes should be killed and moved.


Additional info:
Comment 3 Lon Hohberger 2008-10-27 16:40:25 EDT
Created attachment 321658 [details]
Patched oracle database agent that supports multiple instances (but has this bug)
Comment 4 Lon Hohberger 2008-11-11 14:21:12 EST
Shane noted that changing the 'pids' line in force_cleanup to this might fix the problem:

pids=`ps ax | grep $ORACLE_HOME | grep "ora_.*_${ORACLE_SID}" |grep -v
grep | awk '{print $1}'`
Comment 7 Lon Hohberger 2008-12-09 17:14:20 EST
Created attachment 326415 [details]
Fix, pass 1
Comment 8 Lon Hohberger 2009-02-18 15:39:47 EST
Based on customer reports, I have copied the above script to my notes page here:

http://people.redhat.com/lhh/oracle-rhel5-notes-0.6/oracle-notes.html

However, due to limited feedback, I am closing this.

Note You need to log in before you can comment on or make changes to this bug.